# $Revision: 1.7.2.1 $, $Date: 2003/03/13 00:56:46 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	SKey
Summary:	Crypt::SKey - Perl S/Key calculator
Summary(pl):	Crypt::SKey - perlowy kalkulator kluczy S/Key
Name:		perl-Crypt-SKey
Version:	0.06
Release:	2
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module contains a simple S/Key calculator (as described in RFC
1760) implemented in Perl.

%description -l pl
Ten modu zawiera prosty kalkulator do kluczy S/Key (zgodny z opisem
z RFC 1760), zaimplementowany w Perlu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} -MExtUtils::MakeMaker -we 'WriteMakefile(NAME=>"Crypt::SKey",PL_FILES=>{})'
%{__make}
# disabled - one test is interactive
#%%{__make} test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_sitelib}/Crypt/SKey.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-SKey.spec,v $
Revision 1.7.2.1  2003/03/13 00:56:46  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.7  2003/02/28 10:08:18  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.6  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.5  2003/02/18 22:48:22  ankry
- autoupdated to 0.06

Revision 1.4  2003/02/18 15:29:45  ankry
- massive attack: change CPAN URLs

Revision 1.3  2003/01/07 13:21:26  mis
- autoupdated to 0.05

Revision 1.2  2002/08/31 12:23:35  radek
- version 0.04, removed need for BRs

Revision 1.1  2002/07/31 20:55:52  qboosh
- new

